OpenVDB 13.0.0

Loading...
Searching...
No Matches
CPT_RANGE< MapType, DiffScheme > Struct Template Reference

Compute the closest-point transform to a level set. More...

`#include <openvdb/math/Operators.h>`

## Static Public Member Functions
template<typename Accessor>
static Vec3< typename Accessor::ValueType > | result (const MapType &map, const Accessor &grid, const Coord &ijk)
template<typename StencilT>
static Vec3< typename StencilT::ValueType > | result (const MapType &map, const StencilT &stencil)

## Detailed Description

template<typename MapType, DScheme DiffScheme>
struct openvdb::v13_0::math::CPT_RANGE< MapType, DiffScheme >

Compute the closest-point transform to a level set.

Returns
  the closest point to the surface from which the level set was derived, in the range space of the map (e.g., in world space)

## Member Function Documentation

## ◆ result() [1/2]

template<typename MapType, DScheme DiffScheme>
template<typename Accessor>

Vec3< typename Accessor::ValueType > result | ( | const MapType & | map,
|  | const Accessor & | grid,
|  | const Coord & | ijk )
| inline static

## ◆ result() [2/2]

template<typename MapType, DScheme DiffScheme>
template<typename StencilT>

Vec3< typename StencilT::ValueType > result | ( | const MapType & | map,
|  | const StencilT & | stencil )
| inline static